
Figure - Bug #118952
【AF】【EVT3】【Monkey】0630版本monkey测试时断电、设备重启之后又自己重启了一次
2023-07-01 11:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-01

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0630

Resolution: WONTFIX Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-07-11

Test Type: Monkey Test Root cause: 设备突然掉电

Description

【测试版本】

副屏0630

【测试情况】

1、0630版本monkey测试中

2、断电重启

->设备启动后又自己重启了一次

History

#1 - 2023-07-01 11:08 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118952

#2 - 2023-07-01 16:21 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#3 - 2023-07-03 10:20 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

#4 - 2023-07-03 20:07 - CD FW王武军

【】当前状态

初步分析日志，还没找到重启的原因。

【】下一步

继续分析日志

#5 - 2023-07-04 15:30 - CD FW王武军

【】当前状态
1、是否重启的判断

1）从日志信息中可以发现system_server的进程号已经发生了变化，系统确认存在重启。

//59

07-01 10:41:41.741  1516  1545 I system_server: Background concurrent copying GC freed 247227(26MB) AllocSpace objects, 1(224KB) LOS objects, 30% free,

55MB/79MB, paused 70us,78us total 146.917ms

//60

07-01 10:42:38.485  1641  1663 I system_server: Background young concurrent copying GC freed 199170(12MB) AllocSpace objects, 70(2808KB) LOS objects, 28% free,

28MB/40MB, paused 683us,697us total 143.662ms

//61

07-01 10:43:09.007  1531  2820 E system_server: Invalid class loader spec: =UnsupportedClassLoaderContext=

2）monkey的运行情况

在system_server的进程号为1516，monkey测试程序是正常运行的；

变为1641之后，monkey就没有继续运行，从这个角度系统应该是发生过重启。

3）在1531 构建时如下日志信息

zygote 在构建，system_server进程被构建，系统服务在创建，也说明了重启发生。

08:00:07.624   684   684 D AndroidRuntime: >>>>>> START com.android.internal.os.ZygoteInit uid 0 <<<<<<

08:00:07.646   684   684 I AndroidRuntime: Using default boot image

08:00:07.646   684   684 I AndroidRuntime: Leaving lock profiling enabled

08:00:07.646   685   685 D AndroidRuntime: >>>>>> START com.android.internal.os.ZygoteInit uid 0 <<<<<<

08:00:11.556   685   685 I Zygote  : Lazily preloading resources.

08:00:11.556   685   685 D Zygote  : begin preload

08:00:11.556   685   685 I Zygote  : Calling ZygoteHooks.beginPreload()

08:00:11.589   685   685 I Zygote  : Preloading classes...

2、重启的原因分析

1）设备当时是在跑monkey测试，从日志中未发现明显的异常信息，虽然中途出现过anr，但是anr的发生与重启的时间节点没有对应的关系，

没有发现明显的系统异常点。

2）从日志文件节点来看，从59->60->61这几个文件节点来看，重启应该是发生在这个时间段，但是

tlog的日志文件中，日志信息都是乱码(tlog记录的日志存在问题)，无法的从这段日志中获取到，重启之前的系统状态。

有异常的日志文件：

上层日志：

 10:42 000059_persist_03986_230701_104203.log

 10:42 000059_persist_03988_230701_104204.log

 10:42 000059_persist_03989_230701_104205.log

 10:42 000059_persist_03990_230701_104205.log

 10:42 000059_persist_03993_230701_104208.log

 10:42 000059_persist_03994_230701_104208.log

 10:42 000059_persist_03995_230701_104208.log

 10:42 000059_persist_03996_230701_104208.log

 10:42 000059_persist_04000_230701_104210.log

 10:42 000059_persist_04001_230701_104211.log

 10:42 000059_persist_04004_230701_104214.log

 10:42 000059_persist_04007_230701_104216.log

kernel日志：

000059_kernel_00856_230701_103722.log.ing

【】下一步

1）基于上面的原因，fw层目前没有分析和定位到重启的原因。

2025-07-04 2/4



2）下一步需要system组的同事帮忙进一步分析下，从你们的角度分析下重启的原因。

#6 - 2023-07-04 15:31 - CD FW王武军

- Category changed from CD-FW to SYSTEM

- Assignee changed from CD FW王武军 to CD SYSTEM-夏旭

#7 - 2023-07-05 10:28 - CD SYSTEM-夏旭

- File 截图 2023-07-05 10-27-15.png added

- File 截图 2023-07-05 10-27-30.png added

#8 - 2023-07-05 10:33 - CD SYSTEM-夏旭

【当前进展】

从log中可以看到 第59次开机 07-01 10:42:01.668 进行了第一次断电

第60次开机 07-01 10:42:39.887 又断电了一次

第61次开机 07-01 10:42:40 正常启动

综上 如果进dump 回复时间没有那么快 第二次就是掉电引起的

#9 - 2023-07-11 18:20 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Fixed Version set to 2023-07-11

- Root cause set to 设备突然掉电

【目前进展】

通过日志分析日志最后一直在打印NULL，只有两种情况会导致

1.设备突然掉电

2.设备进入dump

连接qpst没有产生dump，那就是突然掉电导致的

#10 - 2023-07-12 15:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

7.12

确认为设备异常掉电引起

#11 - 2023-07-12 15:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files
截图 2023-07-05 10-27-15.png 232 KB 2023-07-05 CD SYSTEM-夏旭

截图 2023-07-05 10-27-30.png 239 KB 2023-07-05 CD SYSTEM-夏旭
